package com.ruoyi.system.service_shate;

import com.ruoyi.system.domain_shate.Altitude;
import com.ruoyi.system.domain_shate.Aspect;
import com.ruoyi.system.domain_shate.Slope;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:30
 */
public interface ITopographicFactorService
{

    List<Altitude> sqlYear();

    List<Slope> sqlYear1();

    List<Aspect> sqlYear2();

    List<Altitude> sqlAltitude(String zone,String year);

    List<Slope>  sqlSlope(String zone,String year);

    List<Aspect>  sqlAspect(String zone,String year);

    Integer InsertSlope(Slope slope);

    Integer InsertAltitude(Altitude altitude);

    Integer InsertAspect(Aspect aspect);
}
